package cz.cvut.fel.aos;

import static org.testng.Assert.assertEquals;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

public class CalculatorTest {

	private Calculator calculator;

	@BeforeClass
	private void setUp() {
		calculator = new Calculator();
	}

	@DataProvider
	public Object[][] addProvider() {
		return new Object[][] {
				new Object[] { 1, 2, 3 },
				new Object[] { 1, -2, -1 },
				new Object[] { 5, 7, 12 },
				new Object[] { 11, 2, 13 }
		};
	}

	@Test(dataProvider = "addProvider")
	public void testAdd(int a, int b, int result) {
		assertEquals(calculator.add(a, b), result);
	}

}
